{
    num: -32100,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Perching",
    pp: 5,
    priority: 0,
    flags: { heal: 1, failencore: 1, failmefirst: 1, nosleeptalk: 1, noassist: 1, failcopycat: 1, failmimic: 1, failinstruct: 1 },
    onHit(pokemon) {
			let factor = 0.5;
			if (pokemon.volatiles["takeoff"]) {
				factor = 0.75;
			}
			const success = !!this.heal(this.modify(pokemon.maxhp, factor));
			if (!success) {
				this.add('-fail', pokemon, 'heal');
				return this.NOT_FAIL;
			}
			return success;
		},
    onAfterMove(pokemon) {
      pokemon.removeVolatile("takeoff");
    },
    secondary: null,
    target: "self",
    type: "Dragon",
    zMove: { effect: "clearnegativeboost" },
    contestType: "Cool"
}